Package: org.codehaus.groovy.transform

## [Java] Class AbstractLoggingStrategy

- org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

- All Implemented Interfaces and Traits:
    LoggingStrategy

      public static abstract class LogASTTransformation.AbstractLoggingStrategy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyClassLoader` | `loader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected LogASTTransformation.AbstractLoggingStrategy (GroovyClassLoader loader)`
    `protected LogASTTransformation.AbstractLoggingStrategy ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassNode` | `classNode(String name)`
    `` | `String` | `getCategoryName(ClassNode classNode, String categoryName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final GroovyClassLoader loader

  - ### Constructor Detail

    - #### protected LogASTTransformation.AbstractLoggingStrategy(GroovyClassLoader loader)

    - #### protected LogASTTransformation.AbstractLoggingStrategy()

  - ### Method Detail

    - #### protected ClassNode classNode(String name)

    - #### public String getCategoryName(ClassNode classNode, String categoryName)